Subject: [bmwg] AD Evaluation for draft-ietf-bmwg-ipv6-tran-tech-benchmarking

From: Warren Kumari <[email-masked]>
Date: Fri, 14 Apr 2017 12:46:41 -0400

Hi there,

First off, thanks for a really well written document -- I've done some
benchmarking of routers and switches and similar, but never and
translation devices. This document explains how I would benchmark this
nicely.

I had a few minor nits which I think would be nice if you could
address before I start IETF LC - this should help the document sail
though the process.
While addressing these, there are also 2 editorial notes in the
Shepherd writeup, both (IMO) easy to address.

W

Section 1:
"ability to gracefully accommodate greater numbers of flows
   than the maximum number of flows which the DUT can operate normally."

[O] DUT
[P] [spell out DUT]
[R] first use of the acronym

Section 1.1. IPv6 Transition Technologies
"4. Encapsulation: The production network is assumed to have all three
domains, Domains A and B are IPvX specific, while the core ..."

[O] three domains, Domains A and B
[P] three domains; Domains A and B
[R] grammar

Section 5.1. Frame Formats and Sizes

"The two documents can be referred for the dual-stack transition technologies."

[O] referred
[P] referenced
[R] not sure what is meant; referenced is just a guess here. Or
"referred to"? Nither sounds great.

"The calculation method for the Ethernet, as well as a calculation
example are detailed in Appendix A. "

[O] calculation example are
[P] calculation example, are
[R] grammar

Section 6. Modifiers

   The idea of testing under different operational conditions was first
   introduced in [RFC2544](Section 11) and represents an important
   aspect of benchmarking network elements, as it emulates to some
   extent the conditions of a production environment. Section 6 of

[O]  as it emulates to some extent the
[P] as it emulates, to some extent, the
[R] grammar

Section 8. Additional Benchmarking Tests for Stateful IPv6 Transition
Technologies

   This section describes additional tests dedicated to the stateful
   IPv6 transition technologies. For the tests described in this
   section the DUT devices SHOULD follow the test setup and test

[O] section the DUT device
[P] section, the DUT device
[R] grammar

- If the DNS64 server implements caching and there is a cache hit
        then step 1 is followed by step 6 (and steps 2 through 5 are
        omitted).
 - If the domain name has an AAAA record then it is returned in

[O] If the domain name has an AAAA record then it is returned
[P] If the domain name has an AAAA record, then it is returned

(When all the domain names are cached then the results do not depend
on what percentage of the ...

[O] are cached then the
[P] are cached, the
[R] readability

(When all the domain names
   are cached then the results do not depend on what percentage of the
   domain names have AAAA records, thus these combinations are not
   worth testing one by one.)
[O] are cached then the
[P] are cached, the
[R] readability

queries at the required frequency using up not more than the half of
the timeout time.

   Remark: a sample open-source test program, dns64perf++ is available

[O] dns64perf++ is
[P] dns64perf++, is
[R] grammar

  For encapsulation transition technologies a m:n setup can be

[O]  For encapsulation transition technologies
[P]  For encapsulation transition technologies,
[R] grammar

   created, where m is the number of flows applied to the same client
   device and n the number of client devices connected to the same
   server device.
   For the translation based transition technologies the client devices

[O] For the translation based transition technologies the client
[P] For the translation based transition technologies, the client
[R] grammar

 In other words, if flow I is started at time x, flow i+1

[O] flow I is started at time x, flow i+1
[R] I and i should be consistent; either use upper or lower case. Same
for other variables.

Section 11. NAT44 and NAT66

   Although these technologies are not the primarily scope of this

[O] the primarily scope
[P] the primary scope
[R] word choice

Section 12. Summarizing function and variation

For a fine grain analysis of the frequency distribution of the data,

[O] fine grain analysis
[P] fine grained analysis
[R] word choice

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Marius Georgescu <[email-masked]>
Date: Sat, 15 Apr 2017 12:35:11 +0300

Hello Warren,

Thank you very much for your kind words and for the detailed review.
We will revise the draft considering the Shepherd writeup and your comments. 
Is there a deadline we should be aware of?

Best regards,
Marius

> On Apr 14, 2017, at 7:46 PM, Warren Kumari <[email-masked]> wrote:
> 
> Hi there,
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sat, 15 Apr 2017 12:56:56 +0000

Hi Marius,

Since all ADs read *many* documents, it is universally
preferred to respond quickly as you've done, and follow-up
with a revised version in this case (and when requested
in the steps that follow). 

When the revised version is available, the next step will 
likely be an IETF-wide Last Call. This is when the various 
Directorates that help the Area Directors will review 
the draft, and there will be some more comments as a result.

After Last Call, the draft will be scheduled for an IESG
telechat, and the other Area Directors will likely provide 
even more comments. Prompt replies and resolving text will
again keep your draft moving.

If you have any questions as we proceed, don't hesitate to
get in touch.

regards,
Al
bmwg co-chair and doc shepherd

> -----Original Message-----
> From: bmwg [mailto:[email-masked]] On Behalf Of Marius Georgescu
> Sent: Saturday, April 15, 2017 5:35 AM
> To: Warren Kumari
> Cc: [email-masked]; draft-ietf-bmwg-ipv6-tran-tech-
> [email-masked]; [email-masked]
> Subject: Re: [bmwg] AD Evaluation for draft-ietf-bmwg-ipv6-tran-tech-
> benchmarking
> 
> Hello Warren,
> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_mailman_listinfo_bmwg&d=DwICAg&c=LFYZ-
> o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=AUvQF5fSs3nruuM6VEndHNo4IEW
> FISyixgNCDlimEFk&s=wgtEceg7IsJIzEfu1N0VBNJcuYUx4X7fqNHAJmsV2AE&e=

---

From: Marius Georgescu <[email-masked]>
Date: Tue, 18 Apr 2017 10:57:24 +0300

Hello Al,

Thank you for your kind help with this draft.
The revised version covers the received comments.
https://tools.ietf.org/html/draft-ietf-bmwg-ipv6-tran-tech-benchmarking-06 <https://tools.ietf.org/html/draft-ietf-bmwg-ipv6-tran-tech-benchmarking-06>
If there are any other issues, please let us know.

Best regards,
Marius

> On Apr 15, 2017, at 3:56 PM, MORTON, ALFRED C (AL) <[email-masked]> wrote:
> 
> Hi Marius,
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Tue, 18 Apr 2017 11:50:38 +0000

Hi Marius,

thanks for your editing efforts. I think you
have handled all of Warren's editorial comments and the
two small issues identified in the shepherd's form (which I will
remove and indicate the new version).

@Warren - we're on our way again,
thanks for your review.

Al
doc shepherd

From: Marius Georgescu [mailto:[email-masked]]
Sent: Tuesday, April 18, 2017 3:57 AM
To: MORTON, ALFRED C (AL)
Cc: Warren Kumari; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [bmwg] AD Evaluation for draft-ietf-bmwg-ipv6-tran-tech-benchmarking

Hello Al,

Thank you for your kind help with this draft.
The revised version covers the received comments.
https://tools.ietf.org/html/draft-ietf-bmwg-ipv6-tran-tech-benchmarking-06<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dbmwg-2Dipv6-2Dtran-2Dtech-2Dbenchmarking-2D06&d=DwMFAg&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=2HUOwbd3l5OJGvE94oeM8_Eh2GN0L9juGEi8A0uBzaw&s=u3qaLjeINQmyjGL26zFUOWhnBDBY8kcE9Mh8oRXALjQ&e=>
If there are any other issues, please let us know.

Best regards,
Marius

On Apr 15, 2017, at 3:56 PM, MORTON, ALFRED C (AL) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Marius,

regards,
Al

-----Original Message-----
From: bmwg [mailto:[email-masked]] On Behalf Of Marius Georgescu
Sent: Saturday, April 15, 2017 5:35 AM
To: Warren Kumari
Cc: [email-masked]<mailto:[email-masked]>; draft-ietf-bmwg-ipv6-tran-tech-
[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [bmwg] AD Evaluation for draft-ietf-bmwg-ipv6-tran-tech-
benchmarking

Hello Warren,

Thank you very much for your kind words and for the detailed review.
We will revise the draft considering the Shepherd writeup and your
comments.
Is there a deadline we should be aware of?

Best regards,
Marius

On Apr 14, 2017, at 7:46 PM, Warren Kumari <[email-masked]<mailto:[email-masked]>> wrote:

Hi there,

W

Section 1:
"ability to gracefully accommodate greater numbers of flows
 than the maximum number of flows which the DUT can operate
normally."

[O] DUT
[P] [spell out DUT]

"The two documents can be referred for the dual-stack transition
technologies."

[O] referred
[P] referenced

Section 6. Modifiers

[O] are cached then the
[P] are cached, the
[R] readability

[O] dns64perf++ is
[P] dns64perf++, is
[R] grammar

[O] the primarily scope
[P] the primary scope
[R] word choice

[O] fine grain analysis

[email-masked]<mailto:[email-masked]>